/* eslint class-methods-use-this: 0 */

const _ = require('lodash');
const auditDal = require('./audit.dal');


class Audit {
    store(auditData) {
        const audit = {
            accountId: _.get(auditData, 'metainfo.accountId'),
            userId: _.get(auditData, 'metainfo.userId'),
            entity: _.get(auditData, 'metainfo.entity'),
            entityId: _.get(auditData, 'metainfo.entityId'),
            action: _.get(auditData, 'metainfo.action'),
            req_url: _.get(auditData, 'request.url'),
            req_body: JSON.stringify(_.get(auditData, 'request.body')),
            req_query: JSON.stringify(_.get(auditData, 'request.query')),
            rs_status: _.get(auditData, 'response.status')
        };
        return auditDal.store(audit);
    }

    getAudit(accountId) {
        return auditDal.getAudit(accountId);
    }

}

module.exports = new Audit();
